Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453496 - folder.png should not be executable
Summary: folder.png should not be executable
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: xulrunner
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jan Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-01 01:12 UTC by petrosyan
Modified: 2008-10-23 11:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-23 11:35:43 UTC


Attachments (Terms of Use)
Fixed permission in Makefile.in file (deleted)
2008-10-21 11:22 UTC, Jan Horak
no flags Details | Diff
Fixed installation of files (permissions) in Makefile.in (deleted)
2008-10-22 10:09 UTC, Jan Horak
no flags Details | Diff

Description petrosyan 2008-07-01 01:12:10 UTC
Description of problem:
folder.png should not be executable

Version-Release number of selected component (if applicable):
xulrunner-1.9-1.fc9

Steps to Reproduce:
$ ls -l /usr/lib64/xulrunner-1.9/res/html/folder.png

Actual results:
-rwxr-xr-x 1 root root 619 2007-08-17 18:57
/usr/lib64/xulrunner-1.9/res/html/folder.png

Comment 1 Jan Horak 2008-10-21 11:22:07 UTC
Created attachment 321003 [details]
Fixed permission in Makefile.in file

The files are installed to package by Packager::Copy function which copies permissions from original file. So when 'folder.png' has originally +x permissions the permissions remains same. The fix changes the file's permissions to -x while the application is build (by make all).

Comment 2 Jan Horak 2008-10-22 10:09:23 UTC
Created attachment 321130 [details]
Fixed installation of files (permissions) in Makefile.in

Thanks to M. Stransky, permission problem is solved while installing files.

Comment 3 Jan Horak 2008-10-23 11:35:43 UTC
Solving at:
https://bugzilla.mozilla.org/show_bug.cgi?id=461322


Note You need to log in before you can comment on or make changes to this bug.